net.sourceforge.jnlp.security

## Class UnsignedAppletTrustWarningPanel.UnsignedWarningAction

- java.lang.Object
- - net.sourceforge.jnlp.security.UnsignedAppletTrustWarningPanel.UnsignedWarningAction

- Enclosing class:
    UnsignedAppletTrustWarningPanel

      public static class UnsignedAppletTrustWarningPanel.UnsignedWarningAction
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsignedAppletTrustWarningPanel.UnsignedWarningAction(net.sourceforge.jnlp.security.appletextendedsecurity.ExecuteUnsignedApplet action, boolean applyToCodeBase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sourceforge.jnlp.security.appletextendedsecurity.ExecuteUnsignedApplet` | `getAction()`
    `boolean` | `rememberForCodeBase()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsignedAppletTrustWarningPanel.UnsignedWarningAction

          public UnsignedAppletTrustWarningPanel.UnsignedWarningAction(net.sourceforge.jnlp.security.appletextendedsecurity.ExecuteUnsignedApplet action,
                                                               boolean applyToCodeBase)

  - ### Method Detail

    - #### getAction

          public net.sourceforge.jnlp.security.appletextendedsecurity.ExecuteUnsignedApplet getAction()

    - #### rememberForCodeBase

          public boolean rememberForCodeBase()

Submit a bug or feature